Bug 239366 - converters/pdf2djvu: update to version 0.9.13
Summary: converters/pdf2djvu: update to version 0.9.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kai Knoblich
URL: https://github.com/jwilk/pdf2djvu/blo...
Keywords: patch
Depends on: 238780
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-21 12:44 UTC by Samy Mahmoudi
Modified: 2019-10-30 09:05 UTC (History)
1 user (show)

See Also:
kai: merge-quarterly+


Attachments
Patch file generated with svn diff (8.39 KB, patch)
2019-10-22 09:17 UTC, Samy Mahmoudi
no flags Details | Diff
Poudriere log (60.12 KB, text/plain)
2019-10-22 09:41 UTC, Samy Mahmoudi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2019-07-21 12:44:51 UTC
Update to version 0.9.13.
Comment 1 Samy Mahmoudi 2019-07-21 13:50:28 UTC
converters/pdf2djvu: update to version 0.9.13

- Remove three patch files from Gentoo that were committed upstream [1]
- Remove a patch file that was committed upstream [2]

[1]
https://gitweb.gentoo.org/repo/gentoo.git/tree/app-text/pdf2djvu/files?id=0e6cc96473139bafe29e197e55996beb505dd21d
[2]
https://github.com/jwilk/pdf2djvu/commit/5f7e01324b6b982856505ebca764c8553cf984e1

Patch file will be created after Bug 238780 get committed.
Comment 2 Samy Mahmoudi 2019-10-22 09:17:39 UTC
Created attachment 208501 [details]
Patch file generated with svn diff
Comment 3 Samy Mahmoudi 2019-10-22 09:41:48 UTC
Created attachment 208504 [details]
Poudriere log
Comment 4 commit-hook freebsd_committer 2019-10-28 08:01:45 UTC
A commit references this bug:

Author: kai
Date: Mon Oct 28 08:01:24 UTC 2019
New revision: 515847
URL: https://svnweb.freebsd.org/changeset/ports/515847

Log:
  converters/pdf2djvu: Update to 0.9.13

  Remove now obsolete patches that were merged by upstream:

  * Build fixes for graphics/poppler >= 0.76.0
  * Improvement of build-time logging

  While I'm here:
  * Add path to LICENSE_FILE
  * Fix no-op occurence of DOCS_DESC

  Changelog:

  https://github.com/jwilk/pdf2djvu/blob/0.9.13/doc/changelog

  PR:		239366
  Submitted by:	Samy Mahmoudi <samy.mahmoudi@gmail.com> (maintainer)
  MFH:		2019Q4

Changes:
  head/converters/pdf2djvu/Makefile
  head/converters/pdf2djvu/distinfo
  head/converters/pdf2djvu/files/patch-gentoo_pdf2djvu-0.9.12-poppler-0.76-1.patch
  head/converters/pdf2djvu/files/patch-gentoo_pdf2djvu-0.9.12-poppler-0.76-2.patch
  head/converters/pdf2djvu/files/patch-gentoo_pdf2djvu-0.9.12-poppler-0.76-3.patch
  head/converters/pdf2djvu/files/patch-tools_install-manpages
Comment 5 Kai Knoblich freebsd_committer 2019-10-28 08:36:49 UTC
Committed to the head branch, thank you for the patch! 

Still waiting for approval from the ports-secteam to merge the changes into the 2019Q4 branch.

P.S.: There's no need to increase the PORTREVISION if the {PORT,DIST}VERSION is increased. In that case PORTREVISION is reset back to "0".
Comment 6 commit-hook freebsd_committer 2019-10-30 00:04:37 UTC
A commit references this bug:

Author: kai
Date: Wed Oct 30 00:04:05 UTC 2019
New revision: 516041
URL: https://svnweb.freebsd.org/changeset/ports/516041

Log:
  MFH: r514602 r515847

  converters/pdf2djvu: fix build on GCC architectures

  When compiling with GCC, as used on GCC architectures, it errors with:
  sys-uuid.cc:96:12: error: 'strlen' was not declared in this scope

  assert(strlen(s) == 36U);
         ^~~~~~

  sys-uuid.cc:96:12: note: 'strlen' is defined in header '<cstring>'; did you forget to '#include <cstring>'?

  converters/pdf2djvu: Update to 0.9.13

  Remove now obsolete patches that were merged by upstream:

  * Build fixes for graphics/poppler >= 0.76.0
  * Improvement of build-time logging

  While I'm here:
  * Add path to LICENSE_FILE
  * Fix no-op occurence of DOCS_DESC

  Changelog:

  https://github.com/jwilk/pdf2djvu/blob/0.9.13/doc/changelog

  PR:		239366
  Submitted by:	Samy Mahmoudi <samy.mahmoudi@gmail.com> (maintainer)

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/converters/pdf2djvu/Makefile
  branches/2019Q4/converters/pdf2djvu/distinfo
  branches/2019Q4/converters/pdf2djvu/files/patch-gentoo_pdf2djvu-0.9.12-poppler-0.76-1.patch
  branches/2019Q4/converters/pdf2djvu/files/patch-gentoo_pdf2djvu-0.9.12-poppler-0.76-2.patch
  branches/2019Q4/converters/pdf2djvu/files/patch-gentoo_pdf2djvu-0.9.12-poppler-0.76-3.patch
  branches/2019Q4/converters/pdf2djvu/files/patch-sys-uuid.cc
  branches/2019Q4/converters/pdf2djvu/files/patch-tools_install-manpages
Comment 7 Kai Knoblich freebsd_committer 2019-10-30 00:08:03 UTC
Committed to the 2019Q4 branch (with the build fix for GCC platforms from bug #238780), all done!
Comment 8 Samy Mahmoudi 2019-10-30 09:01:47 UTC
(In reply to Kai Knoblich from comment #7)
Thank you very much!
Comment 9 Samy Mahmoudi 2019-10-30 09:05:32 UTC
(In reply to Kai Knoblich from comment #5)
>P.S.: There's no need to increase the PORTREVISION if the {PORT,DIST}VERSION is increased. In that case PORTREVISION is reset back to "0".
Thanks for the reminder.